import { DomainError } from './domain-error';

export class ConflictError extends DomainError {
  public readonly code = 'CONFLICT';
  public readonly statusCode = 409;

  constructor(message: string) {
    super(message);
  }
}
